# Generated from file_overwrite-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name file_overwrite

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: Class to overwrite an existing file safely
License: MIT
URL: https://www.wisebabel.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
BuildArch: noarch

%description
This class provides a Ruby-oriented scheme to safely overwrite an existing
file, leaving a backup file unless specified otherwise.  It writes a temporary
file first, which is renamed to the original file in one action.  It accepts a
block like some IO class-methods (e.g., each_line) and chaining like String
methods (e.g., sub and gsub).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Makefile
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/README.en.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/file_overwrite.gemspec
%{gem_instdir}/test

%changelog
* Mon Aug 23 2021 mockbuilder - 1.0-1
- Initial package
